class Vecteur:
    def __init__(self,x,y,z):
        self.x, self.y, self.z = x, y, z
    def affiche(self):
        return '({};{};{})'.format(str(self.x),str(self.y),str(self.z))
    def __add__(self,v):
        return Vecteur( self.x + v.x , self.y + v.y , self.z + v.z )
    def __mul__(self,v):
        return self.x*v.x + self.y*v.y + self.z*v.z
    def norme(self):
        return (self.x**2 + self.y**2 + self.z**2)**0.5
    def is_colin(self,v):
        return self.x/v.x == self.y/v.y == self.z/v.z
    def is_ortho(self,v):
        return self*v == 0